OSMOHLR-DB-TOOL(1)

NAME
OsmoHLR-db-tool - osmo-hlr-db-tool

SYNOPSIS
osmo-hlr-db-tool [-l <hlr.db>] [create|import-nitb-db <nitb.db>]

DESCRIPTION

-l --database db-name
    The OsmoHLR database to use, default 'hlr.db'.

-h --help
    This text.

-d option --debug=DMAIN:DDB:DAUC
    Enable debugging.

-s --disable-color
    Do not print ANSI colors in the log

-T --timestamp
    Prefix every log line with a timestamp.

-e --log-level number
    Set a global loglevel.

-U --db-upgrade
    Allow HLR database schema upgrades.

-V --version
    Print the version of OsmoHLR-db-tool.

Commands:

create
    Create an empty OsmoHLR database. (All commands imply this if none exists yet.)

import-nitb-db <nitb.db>
    Add OsmoNITB db's subscribers to OsmoHLR db. Be aware that the import is somewhat lossy, only the IMSI, MSISDN, IMEI, nam_cs/ps, 2G auth data and last seen LU are set. The most recently associated IMEI from the Equipment table is used.

COPYRIGHT
Copyright © 2017 by sysmocom - s.f.m.c. GmbH License AGPLv3+: GNU AGPL version 3 or later <http://gnu.org/licenses/agpl-3.0.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
https://osmocom.org/projects/osmo-hlr

The full documentation for OsmoHLR-db-tool is maintained as a Texinfo manual. If the info and OsmoHLR-db-tool programs are properly installed at your site, the command

    info OsmoHLR-db-tool

should give you access to the complete manual.